com.pivotal.gemfirexd.internal.client.net

## Class NetCallableStatement

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetStatement
  - - com.pivotal.gemfirexd.internal.client.net.NetPreparedStatement
    - - com.pivotal.gemfirexd.internal.client.net.NetCallableStatement

All Implemented Interfaces:
  MaterialPreparedStatement, MaterialStatement

    public class NetCallableStatement
    extends NetPreparedStatement
    implements MaterialPreparedStatement

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatement

`qryrowsetSentOnOpnqry_`

### Method Summary

Methods
`protected void` `finalize()`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPreparedStatement

`readDescribeInput_, readDescribeOutput_, readExecute_, writeDescribeInput_, writeDescribeOutput_, writeExecute_, writeExecute_, writeOpenQuery_`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatement

`markClosedOnServer_, readExecuteCall_, readExecuteImmediate_, readExecuteImmediateForBatch_, readOpenQuery_, readPrepare_, readPrepareDescribeOutput_, readSetSpecialRegister_, readStatementID_, reset_, writeExecuteCall_, writeExecuteImmediate_, writeGetStmtUUID, writeOpenQuery_, writePrepare_, writePrepareDescribeOutput_, writeSetSpecialRegister_`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.MaterialPreparedStatement

`readDescribeInput_, readDescribeOutput_, readExecute_, writeDescribeInput_, writeDescribeOutput_, writeExecute_, writeExecute_, writeOpenQuery_`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.MaterialStatement

`markClosedOnServer_, readExecuteCall_, readExecuteImmediate_, readExecuteImmediateForBatch_, readOpenQuery_, readPrepare_, readPrepareDescribeOutput_, readSetSpecialRegister_, readStatementID_, reset_, writeExecuteCall_, writeExecuteImmediate_, writeGetStmtUUID, writeOpenQuery_, writePrepare_, writePrepareDescribeOutput_, writeSetSpecialRegister_`

### Method Detail

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `NetPreparedStatement`
Throws:
  `Throwable`